
TYPO3.Neos - Bug # 42213

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Rens Admiraal Category: JavaScript
Created: 2012-10-20 Assigned To: Mattias Nilsson
Updated: 2014-11-02 Due date:
Subject: Script code in inspector panel fields is executed
Description

JavaScript code in the inspector panel is executed when pressing enter

Reproduce:
- Focus on an input field in the inspector
- Paste for example: <script>alert('foo');</script>
- Press enter

History
#1 - 2013-04-10 21:16 - Aske Ertmann
- Category set to JavaScript
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1
- Parent task set to #45020

#2 - 2013-04-11 15:48 - Mattias Nilsson
- Assigned To set to Mattias Nilsson

#3 - 2013-04-13 20:37 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19935

#4 - 2013-04-14 09:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19935

#5 - 2013-04-14 11:38 - Mattias Nilsson
- Status changed from Accepted to Under Review
- % Done changed from 0 to 80

#6 - 2013-04-14 15:19 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19935

#7 - 2013-04-24 15:51 - Mattias Nilsson
Postpone until we can find a better solution.

#8 - 2013-08-09 16:51 - Karsten Dambekalns
- Status changed from Under Review to Accepted

#9 - 2013-10-03 15:26 - Rens Admiraal
- Status changed from Accepted to Resolved

This is changed by the fact we now store the content in data attributes and not in the script tags inside

#10 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
